Bug 1497549 - Review Request: tio - Simple TTY terminal I/O application
Summary: Review Request: tio - Simple TTY terminal I/O application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-01 17:13 UTC by Robert Scheck
Modified: 2017-10-19 21:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-06 19:57:38 UTC
Type: Bug
Embargoed:
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2017-10-01 17:13:11 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/tio.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/tio-1.24-1.src.rpm
Description: Tio is a simple TTY terminal application which features a 
straightforward commandline interface to easily connect to TTY devices
for basic input/output.
Fedora Account System Username: robert

Comment 1 Igor Gnatenko 2017-10-01 18:54:44 UTC
> %if 0%{?rhel} < 7
> Group:          Applications/Communications
> %endif
This doesn't make any sense, why do you want to include Group for RHEL7 and below? Also it is wrong because %rhel is not defined on Fedora, so Group tag will be used on Fedora as well.

> Source1:        https://github.com/tio/tio/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc
Why do you include signature, but do not verify archive?

> %{!?_licensedir:%global license %%doc}
This is not needed

---

Apart from above, looks good to me from first glance.

Comment 2 Igor Gnatenko 2017-10-01 18:59:31 UTC
Also add --disable-silent-rules for %configure, so the build is verbose.

Comment 4 Igor Gnatenko 2017-10-01 19:55:30 UTC
Nothing I can complain about now.. Apart from missing BuildRequires: gcc

This is too trivial and can be fixed during import.

APPROVED.

Comment 5 Gwyn Ciesla 2017-10-01 22:20:34 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tio

Comment 6 Fedora Update System 2017-10-01 23:00:11 UTC
tio-1.24-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-85b8a11a9b

Comment 7 Fedora Update System 2017-10-01 23:01:36 UTC
tio-1.24-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e41e939e1

Comment 8 Fedora Update System 2017-10-01 23:02:38 UTC
tio-1.24-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dac0d8afe

Comment 9 Fedora Update System 2017-10-01 23:03:30 UTC
tio-1.24-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-42c65d7f26

Comment 10 Fedora Update System 2017-10-01 23:04:26 UTC
tio-1.24-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6700053853

Comment 11 Fedora Update System 2017-10-02 20:27:22 UTC
tio-1.24-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e41e939e1

Comment 12 Fedora Update System 2017-10-02 21:23:09 UTC
tio-1.24-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dac0d8afe

Comment 13 Fedora Update System 2017-10-02 21:26:31 UTC
tio-1.24-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-85b8a11a9b

Comment 14 Fedora Update System 2017-10-02 23:18:25 UTC
tio-1.24-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-42c65d7f26

Comment 15 Fedora Update System 2017-10-05 01:45:43 UTC
tio-1.24-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6700053853

Comment 16 Fedora Update System 2017-10-06 19:57:38 UTC
tio-1.24-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-10-10 21:22:25 UTC
tio-1.24-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-10-11 01:54:05 UTC
tio-1.24-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-10-17 18:17:12 UTC
tio-1.24-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-10-19 21:48:51 UTC
tio-1.24-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.